Question: Enabling "GATK Advanced Options" on a tool impacts the run
1
gravatar for jgbaumann
7 months ago by
jgbaumann10
Switzerland
jgbaumann10 wrote:

Hello Everyone,

I'm dealing with a new situation. Let's imagine I want to use the Indel Realigner from GATK on Galaxy.

Thing is, with my BAM file, I must enable the "-fixMisencodedQuals / --fix_misencoded_quality_scores" option in order no to make the run crash. This option is reachable by enabling the GATK advanced options. Unfortunately, this automatically activates every other parameters of GATK advanced options. For example: "-DBQ,--defaultBaseQualities ", "-baqGOP,--baqGapOpenPenalty " and so on.

And this gives me a different outcome, just because of these new parameters. In other words, is there a way to only set the "-fixMisencodedQuals / --fix_misencoded_quality_scores" option?

I'm really desperate here. I thank you for your Kindly,

Jean-Guillaume

ADD COMMENTlink modified 7 months ago by Jennifer Hillman Jackson24k • written 7 months ago by jgbaumann10
0
gravatar for Jennifer Hillman Jackson
7 months ago by
United States
Jennifer Hillman Jackson24k wrote:

Hello,

GATK tools have been deprecated for a while now on public servers and the tool wrappers from the Tool Shed are not recommended for use in a local/docker/cloud Galaxy. There will be no future upgrades to GATK wrappers (as of this time, and likely ongoing).

Alternative tools/workflows for Variant analysis are covered in several tutorials here: https://galaxyproject.org/learn/

Thanks! Jen, Galaxy team

ADD COMMENTlink written 7 months ago by Jennifer Hillman Jackson24k
Please log in to add an answer.

Help
Access

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.
Powered by Biostar version 16.09
Traffic: 107 users visited in the last hour